package ervu_dashboard.model;

import ru.cg.webbpm.modules.webkit.annotations.Model;

/**
 * @author Vitaly Chekushkin
 */

@Model
public class Font {

  public String family;
  public String weight;
  public Integer size;

  public static Font of(String family, String weight, Integer size) {
    return new Font(family, weight, size);
  }

  public Font(String family, String weight, Integer size) {
    this.family = family;
    this.weight = weight;
    this.size = size;
  }

  public Font() {}

  public String getFamily() {
    return family;
  }

  public void setFamily(String family) {
    this.family = family;
  }

  public String getWeight() {
    return weight;
  }

  public void setWeight(String weight) {
    this.weight = weight;
  }

  public Integer getSize() {
    return size;
  }

  public void setSize(Integer size) {
    this.size = size;
  }
}
